registercheckby openlaw group
API referenceRegister events

Retrieve a register event

GET
/events/{event_id}

One event from GET /events. An event that is unknown, outside the list, or whose company or person is restricted answers 404.

Costs 1 credit.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key, sent as Authorization: Bearer rc_live_….

In: header

Path Parameters

event_id*string

The event's id.

Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.registercheck.de/v1/events/0d9c8b7a-6f5e-4d3c-8b2a-1f0e9d8c7b6a" \  -H "Authorization: Bearer $REGISTERCHECK_API_KEY"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "company_event",  "company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",  "company": {    "object": "company",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  },  "type": "company.registered",  "effective_date": "2019-08-24",  "register_entry_number": 1,  "previous": "string",  "current": "string",  "officer_role": "managing_director",  "officers": [    {      "type": "person",      "name": {        "full": "Dr. Erika Mustermann",        "first": "string",        "last": "string",        "birth_name": "string",        "titles": [          "string"        ]      },      "birth_date": "2019-08-24",      "city": "string",      "country": "DE",      "person": {        "object": "person",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      },      "match_confidence": 0    }  ],  "created_at": "2026-09-21T10:14:02Z"}